#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("./config");
const logger_1 = require("./utils/logger");
const router_1 = require("./router");
exports.default = new Promise(resolve => {
    router_1.router.listen(global.port, global.address, () => {
        logger_1.default(0, `listening to http://${global.address}:${global.port}/`);
        logger_1.default(0, `connected to bitbucket instance ${global.bitbucket}`);
        logger_1.default(0, `with key ${global.bitbucketKey.slice(0, 5)}*****${global.bitbucketKey.slice(-5)}`);
        logger_1.default(0, `writing logs to ${global.logFolder}`);
        logger_1.default(0, `using storage ${global.storage}`);
        resolve();
    });
});
