"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bitbucket_1 = require("./bitbucket");
const baseUrl = ({ repository: { type, repo, project }, name }) => `${type}/${project}/repos/${repo}/pull-requests/${name}/`;
async function getBaseBranchFromPullrequest(pullRequest) {
    const { toRef } = await bitbucket_1.Bitbucket.get(baseUrl(pullRequest));
    const type = toRef.repository.project.type === 'NORMAL' ? 'projects' : 'users';
    return {
        name: toRef.displayId,
        repository: {
            repo: toRef.repository.slug,
            type,
            project: toRef.repository.project.key,
        },
    };
}
exports.getBaseBranchFromPullrequest = getBaseBranchFromPullrequest;
