"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bitbucket_1 = require("./bitbucket");
function createApiSlug(taskId) {
    return `tasks/${taskId || ''}`;
}
function updateTask(comment, open) {
    return bitbucket_1.Bitbucket.put(createApiSlug(comment.taskId), {
        id: comment.taskId,
        state: open ? 'OPEN' : 'RESOLVED',
    }).then(({ id }) => id.toString());
}
function createTask(comment) {
    return bitbucket_1.Bitbucket.post(createApiSlug(), {
        text: 'Please add more unit tests.',
        anchor: {
            id: comment.commentId,
            type: 'COMMENT',
        },
    }).then(({ id }) => id.toString());
}
function openTask(comment) {
    return comment.taskId ? updateTask(comment, true) : createTask(comment);
}
exports.openTask = openTask;
function resolveTask(comment) {
    return comment.taskId ? updateTask(comment, false) : Promise.resolve(comment.taskId);
}
exports.resolveTask = resolveTask;
