"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const forge_1 = require("../../utils/forge");
const file_db_1 = require("../../utils/file-db");
class CommentDb {
    constructor() {
        this.ready = file_db_1.default('comments.json').then((db) => {
            this.db = db;
        });
    }
    async get(repository, name) {
        await this.ready;
        const id = forge_1.forge.pullRequestId({ name, repository });
        return this.db.get(id);
    }
    async set(repository, name, { commentId, version }) {
        await this.ready;
        const id = forge_1.forge.pullRequestId({ name, repository });
        await this.db.set(id, { id, commentId, version });
        return { id, commentId, version };
    }
}
exports.commentDb = new CommentDb();
