"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controllers_1 = require("./controllers");
const validators_1 = require("./validators");
const abstract_express_router_1 = require("abstract-express-router");
const path_1 = require("path");
const logger_1 = require("../utils/logger");
const middleware_1 = require("./middleware");
exports.router = abstract_express_router_1.createRouter({
    api: {
        middleware: [],
        branch: {
            post: {
                body: { name: validators_1.branch, report: validators_1.report, repository: validators_1.repository },
                middleware: [middleware_1.parseReport],
                controller: controllers_1.addBranchReport,
            },
        },
        pullrequest: {
            post: {
                body: {
                    name: validators_1.pullRequestId,
                    report: validators_1.report,
                    repository: validators_1.repository,
                    lcov: validators_1.url
                },
                middleware: [middleware_1.parseReport],
                controller: controllers_1.addPullRequestReport,
            },
        },
    },
    svg: {
        static: path_1.join(__dirname, '../../svg/'),
    },
}, {
    logger: ({ level, message }) => logger_1.default(Math.floor(level * 2), ' - router - ', message),
    bodyParserOptions: { limit: '50mb' }
});
