"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("./logger");
const log = (level, ...message) => logger_1.default(level, 'error -', ...message);
const error = (location) => ({
    internalError: (level, ...message) => (detail) => {
        log(level, location, ...message, detail);
    },
    routerError: (level, res, ...message) => (detail) => {
        log(level, location, ...message, detail);
        res.status(500).send({ success: false });
    },
    badRequest: (level, res, field, ...message) => (detail) => {
        log(level, location, ...message, detail);
        res.status(403).send({ success: false, field });
    }
});
exports.default = error;
